from datetime import timedelta

from airflow import DAG
from airflow.operators.bash import BashOperator
from airflow.utils.dates import days_ago

from operators.DataCatalogConnectionOperators import GetDatacatalogEntryOperator, GetDatacatalogEntryConnectionOperator

def_args = {
    'owner': 'airflow',
    'depends_on_past': False,
    'email_on_failure': False,
    'email_on_retry': False,
    'retries': 1,
    'retry_delay': timedelta(minutes=5)

}

with DAG('TestDataCatConnectionDAG-v2', default_args=def_args, description='simple testing dag', schedule_interval=timedelta(days=1), start_date=days_ago(2)) as dag:
    t1 = BashOperator(task_id='print_date_1', bash_command='date')
    t2 = BashOperator(task_id='do_noting_1', bash_command='sleep 5')

    t3 = GetDatacatalogEntryOperator(datacat_type="dataset", oid="0fac67c4-4f02-47b4-b222-a36cdd44f612", task_id="Test_GET_DataCat")
    t4 = GetDatacatalogEntryConnectionOperator(datacat_type="dataset", oid="706c3f8b-eecb-4e9f-ae39-faa146ef406e", task_id="Test_Create_GET_Connection")

    t1 >> t2 >> t3 
