from airflow.models.baseoperator import BaseOperator
import urllib.request
from urllib.parse import urljoin
import requests

server='https://datacatalog.fz-juelich.de/'

class TestOperator(BaseOperator):
    def __init__(
        self,
        name: str,
        url : str = server,
        **kwargs) -> None:
        super().__init__(**kwargs)
        self.name = name
        self.url = url

    def listObjects(self, type="dataset"):
        return requests.get(urljoin(self.url, type)).json()

    def execute(self, context):
        datasets = self.listObjects()
        storage_targets = self.listObjects(type="storage_target")
        return {
            "dataset" : datasets,
            "storage_target" : storage_targets
        }