import requests
import requests.auth

class BearerAuth(requests.auth.AuthBase):
    def __init__(self, token: str) -> None:
        super().__init__()
        self.token = token

    def __call__(self, r: requests.Request) -> requests.Request:
        r.headers['Authorization'] = 'Bearer {}'.format(self.token)
        return r